#ifndef RFM_MODULES_H
#define RFM_MODULES_H

#define READ_ERROR -1
#define RELOAD_COUNT -2
#define NO_RELOAD_COUNT -3


# define COMBOBOX_save_to_history(x,y) \
    rfm_rational(MODULE_DIR,"combobox",(void *)(x), (void *)(y), "save_to_history")

# define MIME_type(x, y) ((gchar *)rfm_rational(MODULE_DIR, "mime", (void *)(x), (void *)(y), "mime_type"))
# define MIME_magic(x) ((gchar *)rfm_natural(MODULE_DIR, "mime", (void *)(x), "mime_magic"))
# define MIME_is_valid_command(x) (GPOINTER_TO_INT(rfm_natural(MODULE_DIR, "mime", (void *)x, "mime_is_valid_command")))
# define MIME_apps(x) ((gchar **)rfm_natural(MODULE_DIR, "mime", (void *)(x), "mime_apps"))
# define MIME_command_output_ext(x) ((const gchar *)rfm_natural(MODULE_DIR, "mime", (void *)(x), "mime_command_output_ext"))
# define MIME_command_icon(x) ((const gchar *)rfm_natural(MODULE_DIR, "mime", (void *)(x), "mime_command_icon"))
# define MIME_command_text(x) ((const gchar *)rfm_natural(MODULE_DIR, "mime", (void *)(x), "mime_command_text"))
# define MIME_command_text2(x) ((const gchar *)rfm_natural(MODULE_DIR, "mime", (void *)(x), "mime_command_text2"))
# define MIME_mk_command_line(x, y) ((gchar *)rfm_rational(MODULE_DIR, "mime", (void *)(x), (void *)(y), "mime_mk_command_line"))
# define MIME_command_output(x) (GPOINTER_TO_INT(rfm_natural(MODULE_DIR, "mime", (void *)(x), "mime_command_output")))

# define FSTAB_is_in_fstab(x) GPOINTER_TO_INT(rfm_natural(PLUGIN_DIR,"fstab",(void *)(x),"is_in_fstab"))
# define FSTAB_is_mounted(x) GPOINTER_TO_INT(rfm_natural(PLUGIN_DIR,"fstab",(void *)(x),"is_mounted"))
#define FSTAB_get_mnt_fsname(x) rfm_natural(PLUGIN_DIR,"fstab",(void *)(x),"get_mnt_fsname")
# define FSTAB_entry_is_mounted(x) GPOINTER_TO_INT(rfm_natural(PLUGIN_DIR,"fstab",(void *)(x),"entry_is_mounted"))
#define FSTAB_is_partition_type(x) GPOINTER_TO_INT(rfm_natural(PLUGIN_DIR,"fstab",(void *)(x),"is_partition_type"))
#define FSTAB_get_mnt_dir(x) rfm_natural(PLUGIN_DIR,"fstab",(void *)(x),"get_mnt_dir")


# define ICON_get_filename_from_basename(x) \
    (gchar *) (rfm_natural(MODULE_DIR, "icons", (void *)(x), "mime_icon_get_filename_from_basename"))
# define ICON_get_filename_from_id(x) \
    (gchar *) (rfm_natural(MODULE_DIR, "icons", (void *)(x), "mime_icon_get_filename_from_id"))


#endif
