Summary: 	Primary library functionality for Rodent applications	
Name: 		librfm5
Version: 	5.2.1
Release: 	1
License:	GPL-3.0
URL: 		http://xffm.org/libtubo.html
Source0: 	http://sf.net/projects/xffm/files/librfm/%{name}-%{version}.tar.gz
Group: 		Development/Libraries/X11
BuildRoot: 	%{_tmppath}/%{name}-root

Requires:	libdbh2 >= 5.0.13
Requires:	libtubo0 >= 5.0.13
Requires:	glib2 >= 2.22.5
Requires:	gtk2 >= 2.18.9
Requires:	libxml2 >= 2.4.0
Requires:	cairo >= 1.8.8
Requires:	librsvg >= 2.26.0
BuildRequires:	intltool >= 0.41.0
BuildRequires:	libtool >= 2.2.6
BuildRequires:	libdbh2-devel >= 5.0.13
BuildRequires:	libtubo0-devel >= 5.0.13
BuildRequires:	glib2-devel >= 2.22.5
BuildRequires:	gtk2-devel >= 2.18.9
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	cairo-devel >= 1.8.8
BuildRequires:	librsvg-devel >= 2.26.0




%description
Basic library functionality for Rodent applications. This includes
two libraries: low level and high level, plus the minimum icon 
emblems and translations.


%prep
%setup -q

%build
%configure
make -j2
strip -s Build/lib/.libs/librfm.so.1.0.1
strip -s Build/lib/.libs/librodent.so.1.0.1

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

%find_lang %{name}

%files  -f %{name}.lang

%defattr(-,root,root)
%doc README TODO NEWS COPYING AUTHORS
%{_libdir}/librfm.so.1.0.1
%{_libdir}/librodent.so.1.0.1
%{_datadir}/icons/rfm/scalable/emblems/*
%{_datadir}/images/*


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Wed Oct 30 2013  <edscott@xfce.org> 5.2.1-1
- RPM release

%package devel
Summary:Primary library functionality for Rodent applications
Requires: librfm5 >= 5.2.1

%description devel
Basic library functionality for Rodent applications. This includes
two libraries: low level and high level, plus the minimum icon 
emblems and translations.


%files devel
%defattr(-,root,root)
%doc README TODO NEWS COPYING AUTHORS
%{_includedir}/rfm/*
%{_libdir}/librfm.so
%{_libdir}/librodent.so
%{_libdir}/pkgconfig/librfm.pc
%{_libdir}/librfm.so.1
%{_libdir}/librodent.so.1


